Bug 4174 - Missing XSD for batch.xml
Missing XSD for batch.xml
Status: RESOLVED FIXED
Product: jbatch
Classification: Unclassified
Component: source
1
All All
: P5 normal
: ---
Assigned To: cvignola
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 16:03 UTC by mminella
Modified: 2013-02-22 17:35 UTC (History)
1 user (show)

See Also:


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description mminella 2012-09-28 16:03:16 UTC
The spec identifies two different types of XML files.  One to configure a job in (via the JSL) and another to configure the artifact factory and transaction manager (batch.xml).  Previous issues have identified that the spec needs an XSD for the job one and issues have been logged about the one included in the RI.  However, the batch.xml also needs an XSD included in the spec.
Comment 1 cvignola 2012-10-05 19:00:57 UTC
True enough.  It will be added.
Comment 2 cvignola 2013-01-16 16:12:07 UTC
argh, still missing it in the proposed final draft.   we will add to an interim update before final approval ballot
Comment 3 cvignola 2013-01-18 19:36:13 UTC
Reopened for tracking purposes.
Comment 4 cvignola 2013-02-22 17:35:39 UTC
batch.xml XSD is in PFD v4.1